> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup URL

> When your server is ready to handle the notifications, you need to set up your URL into your merchant account. To achieve this you need to call the following endpoint



## OpenAPI

````yaml /openapi.yml put /api/v1/webhook
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v1/webhook:
    put:
      tags:
        - Webhooks
      summary: Setup URL
      description: >-
        When your server is ready to handle the notifications, you need to set
        up your URL into your merchant account. To achieve this you need to call
        the following endpoint
      operationId: api-webhook-setup-url
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetupWebhookRequest'
            examples:
              Request Example:
                $ref: '#/components/examples/SetupWebhookRequestExample'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/SetupWebhookResponseExample'
              schema:
                $ref: '#/components/schemas/SetupWebhookResponse'
      deprecated: true
components:
  schemas:
    SetupWebhookRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          description: Your server URL to receive the notifications from Paybyrd
    SetupWebhookResponse:
      type: object
      properties:
        url:
          type: string
          example: https://your-url.com/webhook
        webhookUser:
          type: string
          example: b73e9449-e1dc-485a-b4c7-19c540e96cd1
        webhookPassword:
          type: string
          example: '@bc123'
  examples:
    SetupWebhookRequestExample:
      value:
        url: https://your-url.com/webhook
    SetupWebhookResponseExample:
      value:
        url: https://your-url.com/webhook
        webhookUser: b73e9449-e1dc-485a-b4c7-19c540e96cd1
        webhookPassword: '@bc123'
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````